/* DisplayWidget.c generated by valac 0.34.7, the Vala compiler
 * generated from DisplayWidget.vala, do not modify */

/*-
 * Copyright (c) 2014-2016 elementary LLC.
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <libgnome-desktop/gnome-rr-config.h>
#include <libgnome-desktop/gnome-rr.h>
#include <float.h>
#include <math.h>
#include <gdk/gdk.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>


#define DISPLAY_TYPE_DISPLAY_WIDGET (display_display_widget_get_type ())
#define DISPLAY_DISPLAY_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidget))
#define DISPLAY_DISPLAY_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidgetClass))
#define DISPLAY_IS_DISPLAY_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DISPLAY_TYPE_DISPLAY_WIDGET))
#define DISPLAY_IS_DISPLAY_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DISPLAY_TYPE_DISPLAY_WIDGET))
#define DISPLAY_DISPLAY_WIDGET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidgetClass))

typedef struct _DisplayDisplayWidget DisplayDisplayWidget;
typedef struct _DisplayDisplayWidgetClass DisplayDisplayWidgetClass;
typedef struct _DisplayDisplayWidgetPrivate DisplayDisplayWidgetPrivate;

#define DISPLAY_TYPE_DISPLAY_WINDOW (display_display_window_get_type ())
#define DISPLAY_DISPLAY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DISPLAY_TYPE_DISPLAY_WINDOW, DisplayDisplayWindow))
#define DISPLAY_DISPLAY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DISPLAY_TYPE_DISPLAY_WINDOW, DisplayDisplayWindowClass))
#define DISPLAY_IS_DISPLAY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DISPLAY_TYPE_DISPLAY_WINDOW))
#define DISPLAY_IS_DISPLAY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DISPLAY_TYPE_DISPLAY_WINDOW))
#define DISPLAY_DISPLAY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DISPLAY_TYPE_DISPLAY_WINDOW, DisplayDisplayWindowClass))

typedef struct _DisplayDisplayWindow DisplayDisplayWindow;
typedef struct _DisplayDisplayWindowClass DisplayDisplayWindowClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define __vala_GnomeRROutput_free0(var) ((var == NULL) ? NULL : (var = (_vala_GnomeRROutput_free (var), NULL)))
typedef struct _Block7Data Block7Data;

#define DISPLAY_DISPLAY_WIDGET_TYPE_RESOLUTION (display_display_widget_resolution_get_type ())
typedef struct _DisplayDisplayWidgetResolution DisplayDisplayWidgetResolution;
#define _g_free0(var) (var = (g_free (var), NULL))

struct _DisplayDisplayWidget {
	GtkEventBox parent_instance;
	DisplayDisplayWidgetPrivate * priv;
	DisplayDisplayWindow* display_window;
	GnomeRROutputInfo* output_info;
	GnomeRROutput* output;
};

struct _DisplayDisplayWidgetClass {
	GtkEventBoxClass parent_class;
};

struct _DisplayDisplayWidgetPrivate {
	gint _delta_x;
	gint _delta_y;
	gboolean _only_display;
	gdouble start_x;
	gdouble start_y;
	gboolean holding;
	GtkButton* primary_image;
	gint real_width;
	gint real_height;
	gint real_x;
	gint real_y;
};

struct _Block7Data {
	int _ref_count_;
	DisplayDisplayWidget* self;
	GtkLabel* label;
	GtkSwitch* use_switch;
	GtkListStore* resolution_list_store;
	GtkComboBox* resolution_combobox;
	GtkListStore* rotation_list_store;
	GtkComboBox* rotation_combobox;
	gboolean rotation_set;
	GnomeRROutputInfo* output_info;
};

struct _DisplayDisplayWidgetResolution {
	guint width;
	guint height;
};


static gpointer display_display_widget_parent_class = NULL;

GType display_display_widget_get_type (void) G_GNUC_CONST;
GType display_display_window_get_type (void) G_GNUC_CONST;
#define DISPLAY_DISPLAY_WIDGET_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidgetPrivate))
enum  {
	DISPLAY_DISPLAY_WIDGET_DUMMY_PROPERTY,
	DISPLAY_DISPLAY_WIDGET_DELTA_X,
	DISPLAY_DISPLAY_WIDGET_DELTA_Y,
	DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY
};
static void _vala_GnomeRROutput_free (GnomeRROutput* self);
DisplayDisplayWidget* display_display_widget_new (GnomeRROutputInfo* output_info, GnomeRROutput* output);
DisplayDisplayWidget* display_display_widget_construct (GType object_type, GnomeRROutputInfo* output_info, GnomeRROutput* output);
static Block7Data* block7_data_ref (Block7Data* _data7_);
static void block7_data_unref (void * _userdata_);
DisplayDisplayWindow* display_display_window_new (GnomeRROutputInfo* output_info);
DisplayDisplayWindow* display_display_window_construct (GType object_type, GnomeRROutputInfo* output_info);
static GnomeRROutput* _vala_GnomeRROutput_copy (GnomeRROutput* self);
static void __lambda5_ (DisplayDisplayWidget* self);
static void ___lambda5__gtk_button_clicked (GtkButton* _sender, gpointer self);
void display_display_widget_set_primary (DisplayDisplayWidget* self, gboolean is_primary);
static GType display_display_widget_resolution_get_type (void) G_GNUC_CONST G_GNUC_UNUSED;
static DisplayDisplayWidgetResolution* display_display_widget_resolution_dup (const DisplayDisplayWidgetResolution* self);
static void display_display_widget_resolution_free (DisplayDisplayWidgetResolution* self);
gchar* display_display_widget_make_aspect_string (guint width, guint height);
static gboolean _display_display_widget_resolution_equal (const DisplayDisplayWidgetResolution* s1, const DisplayDisplayWidgetResolution* s2);
static gboolean _vala_display_display_widget_resolution_array_contains (DisplayDisplayWidgetResolution* stack, int stack_length, DisplayDisplayWidgetResolution* needle);
static void _vala_array_add1 (DisplayDisplayWidgetResolution** array, int* length, int* size, const DisplayDisplayWidgetResolution* value);
static void __lambda6_ (DisplayDisplayWidget* self);
static void ___lambda6__gtk_widget_destroy (GtkWidget* _sender, gpointer self);
static void __lambda7_ (Block7Data* _data7_);
static void ___lambda7__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda8_ (Block7Data* _data7_);
void display_display_widget_set_geometry (DisplayDisplayWidget* self, gint x, gint y, gint width, gint height);
static void ___lambda8__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void __lambda9_ (Block7Data* _data7_);
static void ___lambda9__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static gboolean display_display_widget_real_button_press_event (GtkWidget* base, GdkEventButton* event);
gboolean display_display_widget_get_only_display (DisplayDisplayWidget* self);
static gboolean display_display_widget_real_button_release_event (GtkWidget* base, GdkEventButton* event);
gint display_display_widget_get_delta_x (DisplayDisplayWidget* self);
gint display_display_widget_get_delta_y (DisplayDisplayWidget* self);
void display_display_widget_set_delta_x (DisplayDisplayWidget* self, gint value);
void display_display_widget_set_delta_y (DisplayDisplayWidget* self, gint value);
static gboolean display_display_widget_real_motion_notify_event (GtkWidget* base, GdkEventMotion* event);
void display_display_widget_get_geometry (DisplayDisplayWidget* self, gint* x, gint* y, gint* width, gint* height);
gboolean display_display_widget_equals (DisplayDisplayWidget* self, DisplayDisplayWidget* sibling);
void display_display_widget_set_only_display (DisplayDisplayWidget* self, gboolean value);
static void g_cclosure_user_marshal_VOID__INT_INT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void display_display_widget_finalize (GObject* obj);
static void _vala_display_display_widget_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_display_display_widget_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static gint _vala_array_length (gpointer array);


static void _vala_GnomeRROutput_free (GnomeRROutput* self) {
#line 31 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_boxed_free (gnome_rr_output_get_type (), self);
#line 171 "DisplayWidget.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return self ? g_object_ref (self) : NULL;
#line 178 "DisplayWidget.c"
}


static Block7Data* block7_data_ref (Block7Data* _data7_) {
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_atomic_int_inc (&_data7_->_ref_count_);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return _data7_;
#line 187 "DisplayWidget.c"
}


static void block7_data_unref (void * _userdata_) {
	Block7Data* _data7_;
	_data7_ = (Block7Data*) _userdata_;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (g_atomic_int_dec_and_test (&_data7_->_ref_count_)) {
#line 196 "DisplayWidget.c"
		DisplayDisplayWidget* self;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		self = _data7_->self;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->rotation_combobox);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->rotation_list_store);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->resolution_combobox);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->resolution_list_store);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->use_switch);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->label);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->output_info);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (self);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_slice_free (Block7Data, _data7_);
#line 218 "DisplayWidget.c"
	}
}


static GnomeRROutput* _vala_GnomeRROutput_copy (GnomeRROutput* self) {
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return g_boxed_copy (gnome_rr_output_get_type (), self);
#line 226 "DisplayWidget.c"
}


static gpointer __vala_GnomeRROutput_copy0 (gpointer self) {
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return self ? _vala_GnomeRROutput_copy (self) : NULL;
#line 233 "DisplayWidget.c"
}


static void __lambda5_ (DisplayDisplayWidget* self) {
#line 68 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "set-as-primary");
#line 240 "DisplayWidget.c"
}


static void ___lambda5__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 68 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda5_ ((DisplayDisplayWidget*) self);
#line 247 "DisplayWidget.c"
}


static gboolean _display_display_widget_resolution_equal (const DisplayDisplayWidgetResolution* s1, const DisplayDisplayWidgetResolution* s2) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s1 == s2) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return TRUE;
#line 256 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s1 == NULL) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return FALSE;
#line 262 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s2 == NULL) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return FALSE;
#line 268 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s1->width != s2->width) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return FALSE;
#line 274 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s1->height != s2->height) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return FALSE;
#line 280 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return TRUE;
#line 284 "DisplayWidget.c"
}


static gboolean _vala_display_display_widget_resolution_array_contains (DisplayDisplayWidgetResolution* stack, int stack_length, DisplayDisplayWidgetResolution* needle) {
	int i;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	for (i = 0; i < stack_length; i++) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		if (_display_display_widget_resolution_equal (&stack[i], needle) == TRUE) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			return TRUE;
#line 296 "DisplayWidget.c"
		}
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return FALSE;
#line 301 "DisplayWidget.c"
}


static void _vala_array_add1 (DisplayDisplayWidgetResolution** array, int* length, int* size, const DisplayDisplayWidgetResolution* value) {
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if ((*length) == (*size)) {
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*array = g_renew (DisplayDisplayWidgetResolution, *array, *size);
#line 312 "DisplayWidget.c"
	}
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	(*array)[(*length)++] = *value;
#line 316 "DisplayWidget.c"
}


static void __lambda6_ (DisplayDisplayWidget* self) {
	DisplayDisplayWindow* _tmp0_ = NULL;
#line 161 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->display_window;
#line 161 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_destroy ((GtkWidget*) _tmp0_);
#line 326 "DisplayWidget.c"
}


static void ___lambda6__gtk_widget_destroy (GtkWidget* _sender, gpointer self) {
#line 161 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda6_ ((DisplayDisplayWidget*) self);
#line 333 "DisplayWidget.c"
}


static void __lambda7_ (Block7Data* _data7_) {
	DisplayDisplayWidget* self;
	GnomeRROutputInfo* _tmp0_ = NULL;
	GtkSwitch* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	GtkComboBox* _tmp4_ = NULL;
	GtkSwitch* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_ = FALSE;
	GtkComboBox* _tmp8_ = NULL;
	GtkSwitch* _tmp9_ = NULL;
	gboolean _tmp10_ = FALSE;
	gboolean _tmp11_ = FALSE;
	GtkComboBox* _tmp12_ = NULL;
	gint _tmp13_ = 0;
	gint _tmp14_ = 0;
	GtkComboBox* _tmp16_ = NULL;
	gint _tmp17_ = 0;
	gint _tmp18_ = 0;
	GtkSwitch* _tmp20_ = NULL;
	gboolean _tmp21_ = FALSE;
	gboolean _tmp22_ = FALSE;
#line 162 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = _data7_->self;
#line 163 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = _data7_->output_info;
#line 163 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = _data7_->use_switch;
#line 163 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = gtk_switch_get_active (_tmp1_);
#line 163 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = _tmp2_;
#line 163 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_set_active (_tmp0_, _tmp3_);
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp4_ = _data7_->resolution_combobox;
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = _data7_->use_switch;
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = gtk_switch_get_active (_tmp5_);
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = _tmp6_;
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, _tmp7_);
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = _data7_->rotation_combobox;
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp9_ = _data7_->use_switch;
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp10_ = gtk_switch_get_active (_tmp9_);
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp11_ = _tmp10_;
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, _tmp11_);
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp12_ = _data7_->rotation_combobox;
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp13_ = gtk_combo_box_get_active (_tmp12_);
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp14_ = _tmp13_;
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp14_ == -1) {
#line 400 "DisplayWidget.c"
		GtkComboBox* _tmp15_ = NULL;
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp15_ = _data7_->rotation_combobox;
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_combo_box_set_active (_tmp15_, 0);
#line 406 "DisplayWidget.c"
	}
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp16_ = _data7_->resolution_combobox;
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp17_ = gtk_combo_box_get_active (_tmp16_);
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp18_ = _tmp17_;
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp18_ == -1) {
#line 416 "DisplayWidget.c"
		GtkComboBox* _tmp19_ = NULL;
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp19_ = _data7_->resolution_combobox;
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_combo_box_set_active (_tmp19_, 0);
#line 422 "DisplayWidget.c"
	}
#line 170 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp20_ = _data7_->use_switch;
#line 170 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp21_ = gtk_switch_get_active (_tmp20_);
#line 170 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp22_ = _tmp21_;
#line 170 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp22_) {
#line 432 "DisplayWidget.c"
		GtkStyleContext* _tmp23_ = NULL;
#line 171 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp23_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 171 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_style_context_remove_class (_tmp23_, "disabled");
#line 438 "DisplayWidget.c"
	} else {
		GtkStyleContext* _tmp24_ = NULL;
#line 173 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp24_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 173 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_style_context_add_class (_tmp24_, "disabled");
#line 445 "DisplayWidget.c"
	}
#line 176 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "configuration-changed");
#line 177 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "active-changed");
#line 451 "DisplayWidget.c"
}


static void ___lambda7__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 162 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda7_ (self);
#line 458 "DisplayWidget.c"
}


static void __lambda8_ (Block7Data* _data7_) {
	DisplayDisplayWidget* self;
	GValue val = {0};
	GtkTreeIter iter = {0};
	GtkComboBox* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	GValue _tmp4_ = {0};
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
	GValue _tmp7_ = {0};
	guint _tmp8_ = 0U;
	GValue _tmp9_ = {0};
	guint _tmp10_ = 0U;
	GtkComboBox* _tmp11_ = NULL;
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = _data7_->self;
#line 188 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = _data7_->resolution_combobox;
#line 188 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 188 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	iter = _tmp1_;
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = _data7_->resolution_list_store;
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = iter;
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp2_, &_tmp3_, 1, &_tmp4_);
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	val = _tmp4_;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = self->priv->real_x;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = self->priv->real_y;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = val;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = gnome_rr_mode_get_width (g_value_get_boxed (&_tmp7_));
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp9_ = val;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp10_ = gnome_rr_mode_get_height (g_value_get_boxed (&_tmp9_));
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_set_geometry (self, _tmp5_, _tmp6_, (gint) _tmp8_, (gint) _tmp10_);
#line 191 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_set = FALSE;
#line 192 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp11_ = _data7_->rotation_combobox;
#line 192 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_combo_box_set_active (_tmp11_, 0);
#line 193 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_set = TRUE;
#line 194 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "configuration-changed");
#line 195 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "check-position");
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 524 "DisplayWidget.c"
}


static void ___lambda8__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda8_ (self);
#line 531 "DisplayWidget.c"
}


static void __lambda9_ (Block7Data* _data7_) {
	DisplayDisplayWidget* self;
	GValue val = {0};
	GtkTreeIter iter = {0};
	GtkComboBox* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	GValue _tmp4_ = {0};
	GnomeRRRotation old_rotation = 0;
	gboolean _tmp5_ = FALSE;
	GnomeRROutputInfo* _tmp8_ = NULL;
	GValue _tmp9_ = {0};
	GValue _tmp10_ = {0};
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = _data7_->self;
#line 205 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = _data7_->rotation_combobox;
#line 205 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 205 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	iter = _tmp1_;
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = _data7_->rotation_list_store;
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = iter;
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp2_, &_tmp3_, 1, &_tmp4_);
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	val = _tmp4_;
#line 209 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = _data7_->rotation_set;
#line 209 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!_tmp5_) {
#line 210 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		old_rotation = GNOME_RR_ROTATION_0;
#line 573 "DisplayWidget.c"
	} else {
		GnomeRROutputInfo* _tmp6_ = NULL;
		GnomeRRRotation _tmp7_ = 0;
#line 212 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp6_ = _data7_->output_info;
#line 212 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp7_ = gnome_rr_output_info_get_rotation (_tmp6_);
#line 212 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		old_rotation = _tmp7_;
#line 583 "DisplayWidget.c"
	}
#line 214 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = _data7_->output_info;
#line 214 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp9_ = val;
#line 214 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_set_rotation (_tmp8_, g_value_get_uint (&_tmp9_));
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp10_ = val;
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	switch (g_value_get_uint (&_tmp10_)) {
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case GNOME_RR_ROTATION_90:
#line 597 "DisplayWidget.c"
		{
			gboolean _tmp11_ = FALSE;
			GnomeRRRotation _tmp12_ = 0;
			GtkLabel* _tmp17_ = NULL;
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp12_ = old_rotation;
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp12_ == GNOME_RR_ROTATION_0) {
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp11_ = TRUE;
#line 608 "DisplayWidget.c"
			} else {
				GnomeRRRotation _tmp13_ = 0;
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp13_ = old_rotation;
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp11_ = _tmp13_ == GNOME_RR_ROTATION_180;
#line 615 "DisplayWidget.c"
			}
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp11_) {
#line 619 "DisplayWidget.c"
				gint width = 0;
				gint _tmp14_ = 0;
				gint _tmp15_ = 0;
				gint _tmp16_ = 0;
#line 218 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp14_ = self->priv->real_width;
#line 218 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				width = _tmp14_;
#line 219 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp15_ = self->priv->real_height;
#line 219 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_width = _tmp15_;
#line 220 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp16_ = width;
#line 220 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_height = _tmp16_;
#line 636 "DisplayWidget.c"
			}
#line 223 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp17_ = _data7_->label;
#line 223 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp17_, (gdouble) 270);
#line 224 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 644 "DisplayWidget.c"
		}
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case GNOME_RR_ROTATION_180:
#line 648 "DisplayWidget.c"
		{
			gboolean _tmp18_ = FALSE;
			GnomeRRRotation _tmp19_ = 0;
			GtkLabel* _tmp24_ = NULL;
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp19_ = old_rotation;
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp19_ == GNOME_RR_ROTATION_90) {
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp18_ = TRUE;
#line 659 "DisplayWidget.c"
			} else {
				GnomeRRRotation _tmp20_ = 0;
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp20_ = old_rotation;
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp18_ = _tmp20_ == GNOME_RR_ROTATION_270;
#line 666 "DisplayWidget.c"
			}
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp18_) {
#line 670 "DisplayWidget.c"
				gint width = 0;
				gint _tmp21_ = 0;
				gint _tmp22_ = 0;
				gint _tmp23_ = 0;
#line 227 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp21_ = self->priv->real_width;
#line 227 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				width = _tmp21_;
#line 228 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp22_ = self->priv->real_height;
#line 228 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_width = _tmp22_;
#line 229 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp23_ = width;
#line 229 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_height = _tmp23_;
#line 687 "DisplayWidget.c"
			}
#line 232 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp24_ = _data7_->label;
#line 232 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp24_, (gdouble) 180);
#line 233 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 695 "DisplayWidget.c"
		}
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case GNOME_RR_ROTATION_270:
#line 699 "DisplayWidget.c"
		{
			gboolean _tmp25_ = FALSE;
			GnomeRRRotation _tmp26_ = 0;
			GtkLabel* _tmp31_ = NULL;
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp26_ = old_rotation;
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp26_ == GNOME_RR_ROTATION_0) {
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp25_ = TRUE;
#line 710 "DisplayWidget.c"
			} else {
				GnomeRRRotation _tmp27_ = 0;
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp27_ = old_rotation;
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp25_ = _tmp27_ == GNOME_RR_ROTATION_180;
#line 717 "DisplayWidget.c"
			}
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp25_) {
#line 721 "DisplayWidget.c"
				gint width = 0;
				gint _tmp28_ = 0;
				gint _tmp29_ = 0;
				gint _tmp30_ = 0;
#line 236 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp28_ = self->priv->real_width;
#line 236 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				width = _tmp28_;
#line 237 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp29_ = self->priv->real_height;
#line 237 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_width = _tmp29_;
#line 238 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp30_ = width;
#line 238 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_height = _tmp30_;
#line 738 "DisplayWidget.c"
			}
#line 241 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp31_ = _data7_->label;
#line 241 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp31_, (gdouble) 90);
#line 242 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 746 "DisplayWidget.c"
		}
		default:
		{
			gboolean _tmp32_ = FALSE;
			GnomeRRRotation _tmp33_ = 0;
			GtkLabel* _tmp38_ = NULL;
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp33_ = old_rotation;
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp33_ == GNOME_RR_ROTATION_90) {
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp32_ = TRUE;
#line 759 "DisplayWidget.c"
			} else {
				GnomeRRRotation _tmp34_ = 0;
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp34_ = old_rotation;
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp32_ = _tmp34_ == GNOME_RR_ROTATION_270;
#line 766 "DisplayWidget.c"
			}
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp32_) {
#line 770 "DisplayWidget.c"
				gint width = 0;
				gint _tmp35_ = 0;
				gint _tmp36_ = 0;
				gint _tmp37_ = 0;
#line 245 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp35_ = self->priv->real_width;
#line 245 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				width = _tmp35_;
#line 246 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp36_ = self->priv->real_height;
#line 246 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_width = _tmp36_;
#line 247 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp37_ = width;
#line 247 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_height = _tmp37_;
#line 787 "DisplayWidget.c"
			}
#line 250 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp38_ = _data7_->label;
#line 250 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp38_, (gdouble) 0);
#line 251 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 795 "DisplayWidget.c"
		}
	}
#line 254 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_set = TRUE;
#line 255 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "configuration-changed");
#line 256 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "check-position");
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 806 "DisplayWidget.c"
}


static void ___lambda9__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda9_ (self);
#line 813 "DisplayWidget.c"
}


DisplayDisplayWidget* display_display_widget_construct (GType object_type, GnomeRROutputInfo* output_info, GnomeRROutput* output) {
	DisplayDisplayWidget * self = NULL;
	Block7Data* _data7_;
	GnomeRROutputInfo* _tmp0_ = NULL;
	GnomeRROutputInfo* _tmp1_ = NULL;
	GnomeRROutputInfo* _tmp2_ = NULL;
	DisplayDisplayWindow* _tmp3_ = NULL;
	GdkEventMask _tmp4_ = 0;
	GdkEventMask _tmp5_ = 0;
	GdkEventMask _tmp6_ = 0;
	GdkEventMask _tmp7_ = 0;
	GdkEventMask _tmp8_ = 0;
	GdkEventMask _tmp9_ = 0;
	GnomeRROutputInfo* _tmp10_ = NULL;
	GnomeRROutputInfo* _tmp11_ = NULL;
	GnomeRROutput* _tmp12_ = NULL;
	GnomeRROutput* _tmp13_ = NULL;
	GnomeRROutputInfo* _tmp14_ = NULL;
	gint _tmp15_ = 0;
	gint _tmp16_ = 0;
	gint _tmp17_ = 0;
	gint _tmp18_ = 0;
	GnomeRROutputInfo* _tmp19_ = NULL;
	gboolean _tmp20_ = FALSE;
	GtkButton* _tmp21_ = NULL;
	GtkButton* _tmp22_ = NULL;
	GtkButton* _tmp23_ = NULL;
	GtkStyleContext* _tmp24_ = NULL;
	GtkButton* _tmp25_ = NULL;
	GtkButton* _tmp26_ = NULL;
	GtkButton* _tmp27_ = NULL;
	GnomeRROutputInfo* _tmp28_ = NULL;
	gboolean _tmp29_ = FALSE;
	GtkToggleButton* toggle_settings = NULL;
	GtkToggleButton* _tmp30_ = NULL;
	GtkToggleButton* _tmp31_ = NULL;
	GtkToggleButton* _tmp32_ = NULL;
	GtkStyleContext* _tmp33_ = NULL;
	GtkToggleButton* _tmp34_ = NULL;
	GtkToggleButton* _tmp35_ = NULL;
	GtkToggleButton* _tmp36_ = NULL;
	GtkImage* _tmp37_ = NULL;
	GtkImage* _tmp38_ = NULL;
	GtkToggleButton* _tmp39_ = NULL;
	const gchar* _tmp40_ = NULL;
	GnomeRROutputInfo* _tmp41_ = NULL;
	const gchar* _tmp42_ = NULL;
	GtkLabel* _tmp43_ = NULL;
	GtkLabel* _tmp44_ = NULL;
	GtkLabel* _tmp45_ = NULL;
	GtkLabel* _tmp46_ = NULL;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp47_ = NULL;
	GtkGrid* _tmp48_ = NULL;
	GtkButton* _tmp49_ = NULL;
	GtkGrid* _tmp50_ = NULL;
	GtkToggleButton* _tmp51_ = NULL;
	GtkGrid* _tmp52_ = NULL;
	GtkLabel* _tmp53_ = NULL;
	GtkGrid* _tmp54_ = NULL;
	GtkGrid* popover_grid = NULL;
	GtkGrid* _tmp55_ = NULL;
	GtkGrid* _tmp56_ = NULL;
	GtkGrid* _tmp57_ = NULL;
	GtkGrid* _tmp58_ = NULL;
	GtkPopover* popover = NULL;
	GtkToggleButton* _tmp59_ = NULL;
	GtkPopover* _tmp60_ = NULL;
	GtkPopover* _tmp61_ = NULL;
	GtkPopover* _tmp62_ = NULL;
	GtkToggleButton* _tmp63_ = NULL;
	GtkPopover* _tmp64_ = NULL;
	GtkGrid* _tmp65_ = NULL;
	GtkLabel* use_label = NULL;
	const gchar* _tmp66_ = NULL;
	GtkLabel* _tmp67_ = NULL;
	GtkLabel* _tmp68_ = NULL;
	GtkSwitch* _tmp69_ = NULL;
	GtkSwitch* _tmp70_ = NULL;
	GtkSwitch* _tmp71_ = NULL;
	GnomeRROutputInfo* _tmp72_ = NULL;
	gboolean _tmp73_ = FALSE;
	GtkSwitch* _tmp74_ = NULL;
	GtkLabel* resolution_label = NULL;
	const gchar* _tmp75_ = NULL;
	GtkLabel* _tmp76_ = NULL;
	GtkLabel* _tmp77_ = NULL;
	GtkListStore* _tmp78_ = NULL;
	GtkListStore* _tmp79_ = NULL;
	GtkComboBox* _tmp80_ = NULL;
	GtkComboBox* _tmp81_ = NULL;
	GtkSwitch* _tmp82_ = NULL;
	gboolean _tmp83_ = FALSE;
	gboolean _tmp84_ = FALSE;
	GtkCellRendererText* text_renderer = NULL;
	GtkCellRendererText* _tmp85_ = NULL;
	GtkComboBox* _tmp86_ = NULL;
	GtkCellRendererText* _tmp87_ = NULL;
	GtkComboBox* _tmp88_ = NULL;
	GtkCellRendererText* _tmp89_ = NULL;
	GtkLabel* rotation_label = NULL;
	const gchar* _tmp90_ = NULL;
	GtkLabel* _tmp91_ = NULL;
	GtkLabel* _tmp92_ = NULL;
	GtkListStore* _tmp93_ = NULL;
	GtkListStore* _tmp94_ = NULL;
	GtkComboBox* _tmp95_ = NULL;
	GtkComboBox* _tmp96_ = NULL;
	GtkSwitch* _tmp97_ = NULL;
	gboolean _tmp98_ = FALSE;
	gboolean _tmp99_ = FALSE;
	GtkCellRendererText* _tmp100_ = NULL;
	GtkComboBox* _tmp101_ = NULL;
	GtkCellRendererText* _tmp102_ = NULL;
	GtkComboBox* _tmp103_ = NULL;
	GtkCellRendererText* _tmp104_ = NULL;
	DisplayDisplayWidgetResolution* resolutions = NULL;
	DisplayDisplayWidgetResolution* _tmp105_ = NULL;
	gint resolutions_length1 = 0;
	gint _resolutions_size_ = 0;
	gboolean resolution_set = FALSE;
	GnomeRROutput* _tmp106_ = NULL;
	GnomeRRMode** _tmp107_ = NULL;
	GnomeRRMode** _tmp108_ = NULL;
	GtkGrid* _tmp142_ = NULL;
	GtkLabel* _tmp143_ = NULL;
	GtkGrid* _tmp144_ = NULL;
	GtkSwitch* _tmp145_ = NULL;
	GtkGrid* _tmp146_ = NULL;
	GtkLabel* _tmp147_ = NULL;
	GtkGrid* _tmp148_ = NULL;
	GtkComboBox* _tmp149_ = NULL;
	GtkGrid* _tmp150_ = NULL;
	GtkLabel* _tmp151_ = NULL;
	GtkGrid* _tmp152_ = NULL;
	GtkComboBox* _tmp153_ = NULL;
	GtkGrid* _tmp154_ = NULL;
	DisplayDisplayWindow* _tmp155_ = NULL;
	GtkSwitch* _tmp156_ = NULL;
	GnomeRROutputInfo* _tmp157_ = NULL;
	gboolean _tmp158_ = FALSE;
	GtkComboBox* _tmp160_ = NULL;
	gboolean _tmp161_ = FALSE;
	GtkComboBox* _tmp163_ = NULL;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp164_ = NULL;
	GtkTreeIter _tmp165_ = {0};
	GtkListStore* _tmp166_ = NULL;
	GtkTreeIter _tmp167_ = {0};
	const gchar* _tmp168_ = NULL;
	GnomeRROutputInfo* _tmp169_ = NULL;
	gboolean _tmp170_ = FALSE;
	GnomeRROutputInfo* _tmp181_ = NULL;
	gboolean _tmp182_ = FALSE;
	GnomeRROutputInfo* _tmp193_ = NULL;
	gboolean _tmp194_ = FALSE;
	gboolean _tmp205_ = FALSE;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (output_info != NULL, NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (output != NULL, NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_ = g_slice_new0 (Block7Data);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->_ref_count_ = 1;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = output_info;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (_data7_->output_info);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->output_info = _tmp1_;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = (DisplayDisplayWidget*) g_object_new (object_type, NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->self = g_object_ref (self);
#line 51 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = _data7_->output_info;
#line 51 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = display_display_window_new (_tmp2_);
#line 51 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp3_);
#line 51 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->display_window);
#line 51 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->display_window = _tmp3_;
#line 52 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp4_ = gtk_widget_get_events ((GtkWidget*) self);
#line 52 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = _tmp4_;
#line 52 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_events ((GtkWidget*) self, _tmp5_ | GDK_BUTTON_PRESS_MASK);
#line 53 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = gtk_widget_get_events ((GtkWidget*) self);
#line 53 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = _tmp6_;
#line 53 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_events ((GtkWidget*) self, _tmp7_ | GDK_BUTTON_RELEASE_MASK);
#line 54 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = gtk_widget_get_events ((GtkWidget*) self);
#line 54 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp9_ = _tmp8_;
#line 54 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_events ((GtkWidget*) self, _tmp9_ | GDK_POINTER_MOTION_MASK);
#line 55 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp10_ = _data7_->output_info;
#line 55 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp11_ = _g_object_ref0 (_tmp10_);
#line 55 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->output_info);
#line 55 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->output_info = _tmp11_;
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp12_ = output;
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp13_ = __vala_GnomeRROutput_copy0 (_tmp12_);
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__vala_GnomeRROutput_free0 (self->output);
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->output = _tmp13_;
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp14_ = _data7_->output_info;
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_get_geometry (_tmp14_, &_tmp15_, &_tmp16_, &_tmp17_, &_tmp18_);
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_x = _tmp15_;
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_y = _tmp16_;
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_width = _tmp17_;
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_height = _tmp18_;
#line 58 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp19_ = _data7_->output_info;
#line 58 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp20_ = gnome_rr_output_info_is_active (_tmp19_);
#line 58 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!_tmp20_) {
#line 59 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		self->priv->real_width = 1280;
#line 60 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		self->priv->real_height = 720;
#line 1060 "DisplayWidget.c"
	}
#line 63 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp21_ = (GtkButton*) gtk_button_new_from_icon_name ("non-starred-symbolic", GTK_ICON_SIZE_MENU);
#line 63 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp21_);
#line 63 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->priv->primary_image);
#line 63 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->primary_image = _tmp21_;
#line 64 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp22_ = self->priv->primary_image;
#line 64 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_set ((GtkWidget*) _tmp22_, "margin", 6, NULL);
#line 65 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp23_ = self->priv->primary_image;
#line 65 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp24_ = gtk_widget_get_style_context ((GtkWidget*) _tmp23_);
#line 65 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_style_context_add_class (_tmp24_, GTK_STYLE_CLASS_FLAT);
#line 66 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp25_ = self->priv->primary_image;
#line 66 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp25_, GTK_ALIGN_START);
#line 67 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp26_ = self->priv->primary_image;
#line 67 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp26_, GTK_ALIGN_START);
#line 68 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp27_ = self->priv->primary_image;
#line 68 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_object (_tmp27_, "clicked", (GCallback) ___lambda5__gtk_button_clicked, self, 0);
#line 69 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp28_ = _data7_->output_info;
#line 69 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp29_ = gnome_rr_output_info_get_primary (_tmp28_);
#line 69 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_set_primary (self, _tmp29_);
#line 71 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp30_ = (GtkToggleButton*) gtk_toggle_button_new ();
#line 71 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp30_);
#line 71 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	toggle_settings = _tmp30_;
#line 72 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp31_ = toggle_settings;
#line 72 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_set ((GtkWidget*) _tmp31_, "margin", 6, NULL);
#line 73 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp32_ = toggle_settings;
#line 73 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp33_ = gtk_widget_get_style_context ((GtkWidget*) _tmp32_);
#line 73 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_style_context_add_class (_tmp33_, GTK_STYLE_CLASS_FLAT);
#line 74 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp34_ = toggle_settings;
#line 74 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp34_, GTK_ALIGN_END);
#line 75 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp35_ = toggle_settings;
#line 75 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp35_, GTK_ALIGN_START);
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp36_ = toggle_settings;
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp37_ = (GtkImage*) gtk_image_new_from_icon_name ("open-menu-symbolic", GTK_ICON_SIZE_MENU);
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp37_);
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp38_ = _tmp37_;
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_button_set_image ((GtkButton*) _tmp36_, (GtkWidget*) _tmp38_);
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (_tmp38_);
#line 77 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp39_ = toggle_settings;
#line 77 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp40_ = _ ("Configure display");
#line 77 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp39_, _tmp40_);
#line 79 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp41_ = _data7_->output_info;
#line 79 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp42_ = gnome_rr_output_info_get_display_name (_tmp41_);
#line 79 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp43_ = (GtkLabel*) gtk_label_new (_tmp42_);
#line 79 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp43_);
#line 79 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->label = _tmp43_;
#line 80 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp44_ = _data7_->label;
#line 80 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp44_, GTK_ALIGN_CENTER);
#line 81 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp45_ = _data7_->label;
#line 81 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp45_, GTK_ALIGN_CENTER);
#line 82 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp46_ = _data7_->label;
#line 82 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_set ((GtkWidget*) _tmp46_, "expand", TRUE, NULL);
#line 84 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp47_ = (GtkGrid*) gtk_grid_new ();
#line 84 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp47_);
#line 84 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	grid = _tmp47_;
#line 85 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp48_ = grid;
#line 85 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp49_ = self->priv->primary_image;
#line 85 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp48_, (GtkWidget*) _tmp49_, 0, 0, 1, 1);
#line 86 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp50_ = grid;
#line 86 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp51_ = toggle_settings;
#line 86 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp50_, (GtkWidget*) _tmp51_, 2, 0, 1, 1);
#line 87 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp52_ = grid;
#line 87 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp53_ = _data7_->label;
#line 87 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp52_, (GtkWidget*) _tmp53_, 0, 0, 3, 2);
#line 88 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp54_ = grid;
#line 88 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp54_);
#line 90 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp55_ = (GtkGrid*) gtk_grid_new ();
#line 90 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp55_);
#line 90 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	popover_grid = _tmp55_;
#line 91 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp56_ = popover_grid;
#line 91 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_set_column_spacing (_tmp56_, 12);
#line 92 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp57_ = popover_grid;
#line 92 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_set_row_spacing (_tmp57_, 6);
#line 93 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp58_ = popover_grid;
#line 93 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_set ((GtkWidget*) _tmp58_, "margin", 12, NULL);
#line 94 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp59_ = toggle_settings;
#line 94 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp60_ = (GtkPopover*) gtk_popover_new ((GtkWidget*) _tmp59_);
#line 94 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp60_);
#line 94 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	popover = _tmp60_;
#line 95 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp61_ = popover;
#line 95 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_popover_set_position (_tmp61_, GTK_POS_BOTTOM);
#line 96 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp62_ = popover;
#line 96 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp63_ = toggle_settings;
#line 96 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp62_, "visible", (GObject*) _tmp63_, "active", G_BINDING_BIDIRECTIONAL, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 97 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp64_ = popover;
#line 97 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp65_ = popover_grid;
#line 97 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_container_add ((GtkContainer*) _tmp64_, (GtkWidget*) _tmp65_);
#line 99 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp66_ = _ ("Use This Display:");
#line 99 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp67_ = (GtkLabel*) gtk_label_new (_tmp66_);
#line 99 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp67_);
#line 99 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	use_label = _tmp67_;
#line 100 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp68_ = use_label;
#line 100 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp68_, GTK_ALIGN_END);
#line 101 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp69_ = (GtkSwitch*) gtk_switch_new ();
#line 101 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp69_);
#line 101 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->use_switch = _tmp69_;
#line 102 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp70_ = _data7_->use_switch;
#line 102 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp70_, GTK_ALIGN_START);
#line 103 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp71_ = _data7_->use_switch;
#line 103 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp72_ = _data7_->output_info;
#line 103 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp73_ = gnome_rr_output_info_is_active (_tmp72_);
#line 103 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_switch_set_active (_tmp71_, _tmp73_);
#line 104 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp74_ = _data7_->use_switch;
#line 104 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_bind_property_with_closures ((GObject*) self, "only-display", (GObject*) _tmp74_, "sensitive", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 106 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp75_ = _ ("Resolution:");
#line 106 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp76_ = (GtkLabel*) gtk_label_new (_tmp75_);
#line 106 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp76_);
#line 106 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolution_label = _tmp76_;
#line 107 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp77_ = resolution_label;
#line 107 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp77_, GTK_ALIGN_END);
#line 109 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp78_ = gtk_list_store_new (2, G_TYPE_STRING, gnome_rr_mode_get_type (), -1);
#line 109 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->resolution_list_store = _tmp78_;
#line 110 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp79_ = _data7_->resolution_list_store;
#line 110 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp80_ = (GtkComboBox*) gtk_combo_box_new_with_model ((GtkTreeModel*) _tmp79_);
#line 110 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp80_);
#line 110 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->resolution_combobox = _tmp80_;
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp81_ = _data7_->resolution_combobox;
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp82_ = _data7_->use_switch;
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp83_ = gtk_switch_get_active (_tmp82_);
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp84_ = _tmp83_;
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp81_, _tmp84_);
#line 112 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp85_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 112 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp85_);
#line 112 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	text_renderer = _tmp85_;
#line 113 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp86_ = _data7_->resolution_combobox;
#line 113 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp87_ = text_renderer;
#line 113 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp86_, (GtkCellRenderer*) _tmp87_, TRUE);
#line 114 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp88_ = _data7_->resolution_combobox;
#line 114 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp89_ = text_renderer;
#line 114 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp88_, (GtkCellRenderer*) _tmp89_, "text", 0);
#line 116 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp90_ = _ ("Rotation:");
#line 116 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp91_ = (GtkLabel*) gtk_label_new (_tmp90_);
#line 116 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp91_);
#line 116 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	rotation_label = _tmp91_;
#line 117 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp92_ = rotation_label;
#line 117 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp92_, GTK_ALIGN_END);
#line 118 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp93_ = gtk_list_store_new (2, G_TYPE_STRING, G_TYPE_UINT, -1);
#line 118 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_list_store = _tmp93_;
#line 119 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp94_ = _data7_->rotation_list_store;
#line 119 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp95_ = (GtkComboBox*) gtk_combo_box_new_with_model ((GtkTreeModel*) _tmp94_);
#line 119 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp95_);
#line 119 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_combobox = _tmp95_;
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp96_ = _data7_->rotation_combobox;
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp97_ = _data7_->use_switch;
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp98_ = gtk_switch_get_active (_tmp97_);
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp99_ = _tmp98_;
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp96_, _tmp99_);
#line 121 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp100_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 121 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp100_);
#line 121 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (text_renderer);
#line 121 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	text_renderer = _tmp100_;
#line 122 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp101_ = _data7_->rotation_combobox;
#line 122 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp102_ = text_renderer;
#line 122 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp101_, (GtkCellRenderer*) _tmp102_, TRUE);
#line 123 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp103_ = _data7_->rotation_combobox;
#line 123 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp104_ = text_renderer;
#line 123 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp103_, (GtkCellRenderer*) _tmp104_, "text", 0);
#line 125 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp105_ = g_new0 (DisplayDisplayWidgetResolution, 0);
#line 125 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolutions = _tmp105_;
#line 125 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolutions_length1 = 0;
#line 125 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_resolutions_size_ = resolutions_length1;
#line 126 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolution_set = FALSE;
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp106_ = output;
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp108_ = _tmp107_ = gnome_rr_output_list_modes (_tmp106_);
#line 1386 "DisplayWidget.c"
	{
		GnomeRRMode** mode_collection = NULL;
		gint mode_collection_length1 = 0;
		gint _mode_collection_size_ = 0;
		gint mode_it = 0;
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		mode_collection = _tmp108_;
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		mode_collection_length1 = _vala_array_length (_tmp107_);
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		for (mode_it = 0; mode_it < _vala_array_length (_tmp107_); mode_it = mode_it + 1) {
#line 1398 "DisplayWidget.c"
			GnomeRRMode* mode = NULL;
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			mode = mode_collection[mode_it];
#line 1402 "DisplayWidget.c"
			{
				guint mode_width = 0U;
				GnomeRRMode* _tmp109_ = NULL;
				guint _tmp110_ = 0U;
				guint mode_height = 0U;
				GnomeRRMode* _tmp111_ = NULL;
				guint _tmp112_ = 0U;
				gchar* aspect = NULL;
				guint _tmp113_ = 0U;
				guint _tmp114_ = 0U;
				gchar* _tmp115_ = NULL;
				gchar* text = NULL;
				const gchar* _tmp116_ = NULL;
				DisplayDisplayWidgetResolution res = {0};
				guint _tmp124_ = 0U;
				guint _tmp125_ = 0U;
				DisplayDisplayWidgetResolution _tmp126_ = {0};
				DisplayDisplayWidgetResolution _tmp127_ = {0};
				DisplayDisplayWidgetResolution* _tmp128_ = NULL;
				gint _tmp128__length1 = 0;
				DisplayDisplayWidgetResolution* _tmp129_ = NULL;
				gint _tmp129__length1 = 0;
				DisplayDisplayWidgetResolution _tmp130_ = {0};
				GtkTreeIter iter = {0};
				GtkListStore* _tmp131_ = NULL;
				GtkTreeIter _tmp132_ = {0};
				GtkListStore* _tmp133_ = NULL;
				GtkTreeIter _tmp134_ = {0};
				const gchar* _tmp135_ = NULL;
				GnomeRRMode* _tmp136_ = NULL;
				GnomeRROutput* _tmp137_ = NULL;
				GnomeRRMode* _tmp138_ = NULL;
				GnomeRRMode* _tmp139_ = NULL;
#line 128 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp109_ = mode;
#line 128 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp110_ = gnome_rr_mode_get_width (_tmp109_);
#line 128 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				mode_width = _tmp110_;
#line 129 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp111_ = mode;
#line 129 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp112_ = gnome_rr_mode_get_height (_tmp111_);
#line 129 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				mode_height = _tmp112_;
#line 130 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp113_ = mode_width;
#line 130 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp114_ = mode_height;
#line 130 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp115_ = display_display_widget_make_aspect_string (_tmp113_, _tmp114_);
#line 130 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				aspect = _tmp115_;
#line 133 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp116_ = aspect;
#line 133 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				if (_tmp116_ != NULL) {
#line 1460 "DisplayWidget.c"
					guint _tmp117_ = 0U;
					guint _tmp118_ = 0U;
					const gchar* _tmp119_ = NULL;
					gchar* _tmp120_ = NULL;
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp117_ = mode_width;
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp118_ = mode_height;
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp119_ = aspect;
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp120_ = g_strdup_printf ("%u × %u (%s)", _tmp117_, _tmp118_, _tmp119_);
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_g_free0 (text);
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					text = _tmp120_;
#line 1477 "DisplayWidget.c"
				} else {
					guint _tmp121_ = 0U;
					guint _tmp122_ = 0U;
					gchar* _tmp123_ = NULL;
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp121_ = mode_width;
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp122_ = mode_height;
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp123_ = g_strdup_printf ("%u × %u", _tmp121_, _tmp122_);
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_g_free0 (text);
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					text = _tmp123_;
#line 1492 "DisplayWidget.c"
				}
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp124_ = mode_width;
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp125_ = mode_height;
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp126_.width = _tmp124_;
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp126_.height = _tmp125_;
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				res = _tmp126_;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp127_ = res;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp128_ = resolutions;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp128__length1 = resolutions_length1;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				if (_vala_display_display_widget_resolution_array_contains (_tmp128_, _tmp128__length1, &_tmp127_)) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_g_free0 (text);
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_g_free0 (aspect);
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					continue;
#line 1518 "DisplayWidget.c"
				}
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp129_ = resolutions;
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp129__length1 = resolutions_length1;
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp130_ = res;
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_vala_array_add1 (&resolutions, &resolutions_length1, &_resolutions_size_, &_tmp130_);
#line 144 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp131_ = _data7_->resolution_list_store;
#line 144 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				gtk_list_store_append (_tmp131_, &_tmp132_);
#line 144 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				iter = _tmp132_;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp133_ = _data7_->resolution_list_store;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp134_ = iter;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp135_ = text;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp136_ = mode;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				gtk_list_store_set (_tmp133_, &_tmp134_, 0, _tmp135_, 1, _tmp136_, -1);
#line 147 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp137_ = output;
#line 147 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp138_ = gnome_rr_output_get_current_mode (_tmp137_);
#line 147 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp139_ = mode;
#line 147 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				if (_tmp138_ == _tmp139_) {
#line 1552 "DisplayWidget.c"
					GtkComboBox* _tmp140_ = NULL;
					GtkTreeIter _tmp141_ = {0};
#line 148 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp140_ = _data7_->resolution_combobox;
#line 148 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp141_ = iter;
#line 148 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					gtk_combo_box_set_active_iter (_tmp140_, &_tmp141_);
#line 149 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					resolution_set = TRUE;
#line 1563 "DisplayWidget.c"
				}
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_g_free0 (text);
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_g_free0 (aspect);
#line 1569 "DisplayWidget.c"
			}
		}
	}
#line 153 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp142_ = popover_grid;
#line 153 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp143_ = use_label;
#line 153 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp142_, (GtkWidget*) _tmp143_, 0, 0, 1, 1);
#line 154 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp144_ = popover_grid;
#line 154 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp145_ = _data7_->use_switch;
#line 154 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp144_, (GtkWidget*) _tmp145_, 1, 0, 1, 1);
#line 155 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp146_ = popover_grid;
#line 155 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp147_ = resolution_label;
#line 155 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp146_, (GtkWidget*) _tmp147_, 0, 1, 1, 1);
#line 156 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp148_ = popover_grid;
#line 156 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp149_ = _data7_->resolution_combobox;
#line 156 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp148_, (GtkWidget*) _tmp149_, 1, 1, 1, 1);
#line 157 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp150_ = popover_grid;
#line 157 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp151_ = rotation_label;
#line 157 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp150_, (GtkWidget*) _tmp151_, 0, 2, 1, 1);
#line 158 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp152_ = popover_grid;
#line 158 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp153_ = _data7_->rotation_combobox;
#line 158 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp152_, (GtkWidget*) _tmp153_, 1, 2, 1, 1);
#line 159 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp154_ = popover_grid;
#line 159 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp154_);
#line 160 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp155_ = self->display_window;
#line 160 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_window_set_attached_to ((GtkWindow*) _tmp155_, (GtkWidget*) self);
#line 161 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_object ((GtkWidget*) self, "destroy", (GCallback) ___lambda6__gtk_widget_destroy, self, 0);
#line 162 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp156_ = _data7_->use_switch;
#line 162 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_data ((GObject*) _tmp156_, "notify::active", (GCallback) ___lambda7__g_object_notify, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 180 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp157_ = _data7_->output_info;
#line 180 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp158_ = gnome_rr_output_info_is_active (_tmp157_);
#line 180 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!_tmp158_) {
#line 1629 "DisplayWidget.c"
		GtkStyleContext* _tmp159_ = NULL;
#line 181 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp159_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 181 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_style_context_add_class (_tmp159_, "disabled");
#line 1635 "DisplayWidget.c"
	}
#line 184 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_set = FALSE;
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp160_ = _data7_->resolution_combobox;
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_data (_tmp160_, "changed", (GCallback) ___lambda8__gtk_combo_box_changed, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 198 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp161_ = resolution_set;
#line 198 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!_tmp161_) {
#line 1647 "DisplayWidget.c"
		GtkComboBox* _tmp162_ = NULL;
#line 199 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp162_ = _data7_->resolution_combobox;
#line 199 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_combo_box_set_active (_tmp162_, 0);
#line 1653 "DisplayWidget.c"
	}
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp163_ = _data7_->rotation_combobox;
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_data (_tmp163_, "changed", (GCallback) ___lambda9__gtk_combo_box_changed, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 261 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp164_ = _data7_->rotation_list_store;
#line 261 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_list_store_append (_tmp164_, &_tmp165_);
#line 261 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	iter = _tmp165_;
#line 262 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp166_ = _data7_->rotation_list_store;
#line 262 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp167_ = iter;
#line 262 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp168_ = _ ("None");
#line 262 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_list_store_set (_tmp166_, &_tmp167_, 0, _tmp168_, 1, GNOME_RR_ROTATION_0, -1);
#line 264 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp169_ = _data7_->output_info;
#line 264 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp170_ = gnome_rr_output_info_supports_rotation (_tmp169_, GNOME_RR_ROTATION_90);
#line 264 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp170_) {
#line 1679 "DisplayWidget.c"
		GtkListStore* _tmp171_ = NULL;
		GtkTreeIter _tmp172_ = {0};
		GtkListStore* _tmp173_ = NULL;
		GtkTreeIter _tmp174_ = {0};
		const gchar* _tmp175_ = NULL;
		GnomeRROutputInfo* _tmp176_ = NULL;
		GnomeRRRotation _tmp177_ = 0;
#line 265 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp171_ = _data7_->rotation_list_store;
#line 265 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_append (_tmp171_, &_tmp172_);
#line 265 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		iter = _tmp172_;
#line 266 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp173_ = _data7_->rotation_list_store;
#line 266 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp174_ = iter;
#line 266 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp175_ = _ ("Clockwise");
#line 266 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_set (_tmp173_, &_tmp174_, 0, _tmp175_, 1, GNOME_RR_ROTATION_90, -1);
#line 267 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp176_ = _data7_->output_info;
#line 267 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp177_ = gnome_rr_output_info_get_rotation (_tmp176_);
#line 267 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		if (_tmp177_ == GNOME_RR_ROTATION_90) {
#line 1707 "DisplayWidget.c"
			GtkComboBox* _tmp178_ = NULL;
			GtkTreeIter _tmp179_ = {0};
			GtkLabel* _tmp180_ = NULL;
#line 268 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp178_ = _data7_->rotation_combobox;
#line 268 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp179_ = iter;
#line 268 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_combo_box_set_active_iter (_tmp178_, &_tmp179_);
#line 269 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp180_ = _data7_->label;
#line 269 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp180_, (gdouble) 270);
#line 270 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_data7_->rotation_set = TRUE;
#line 1723 "DisplayWidget.c"
		}
	}
#line 274 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp181_ = _data7_->output_info;
#line 274 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp182_ = gnome_rr_output_info_supports_rotation (_tmp181_, GNOME_RR_ROTATION_180);
#line 274 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp182_) {
#line 1732 "DisplayWidget.c"
		GtkListStore* _tmp183_ = NULL;
		GtkTreeIter _tmp184_ = {0};
		GtkListStore* _tmp185_ = NULL;
		GtkTreeIter _tmp186_ = {0};
		const gchar* _tmp187_ = NULL;
		GnomeRROutputInfo* _tmp188_ = NULL;
		GnomeRRRotation _tmp189_ = 0;
#line 275 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp183_ = _data7_->rotation_list_store;
#line 275 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_append (_tmp183_, &_tmp184_);
#line 275 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		iter = _tmp184_;
#line 276 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp185_ = _data7_->rotation_list_store;
#line 276 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp186_ = iter;
#line 276 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp187_ = _ ("Flipped");
#line 276 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_set (_tmp185_, &_tmp186_, 0, _tmp187_, 1, GNOME_RR_ROTATION_180, -1);
#line 277 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp188_ = _data7_->output_info;
#line 277 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp189_ = gnome_rr_output_info_get_rotation (_tmp188_);
#line 277 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		if (_tmp189_ == GNOME_RR_ROTATION_180) {
#line 1760 "DisplayWidget.c"
			GtkComboBox* _tmp190_ = NULL;
			GtkTreeIter _tmp191_ = {0};
			GtkLabel* _tmp192_ = NULL;
#line 278 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp190_ = _data7_->rotation_combobox;
#line 278 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp191_ = iter;
#line 278 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_combo_box_set_active_iter (_tmp190_, &_tmp191_);
#line 279 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp192_ = _data7_->label;
#line 279 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp192_, (gdouble) 180);
#line 280 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_data7_->rotation_set = TRUE;
#line 1776 "DisplayWidget.c"
		}
	}
#line 284 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp193_ = _data7_->output_info;
#line 284 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp194_ = gnome_rr_output_info_supports_rotation (_tmp193_, GNOME_RR_ROTATION_270);
#line 284 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp194_) {
#line 1785 "DisplayWidget.c"
		GtkListStore* _tmp195_ = NULL;
		GtkTreeIter _tmp196_ = {0};
		GtkListStore* _tmp197_ = NULL;
		GtkTreeIter _tmp198_ = {0};
		const gchar* _tmp199_ = NULL;
		GnomeRROutputInfo* _tmp200_ = NULL;
		GnomeRRRotation _tmp201_ = 0;
#line 285 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp195_ = _data7_->rotation_list_store;
#line 285 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_append (_tmp195_, &_tmp196_);
#line 285 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		iter = _tmp196_;
#line 286 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp197_ = _data7_->rotation_list_store;
#line 286 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp198_ = iter;
#line 286 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp199_ = _ ("Counterclockwise");
#line 286 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_set (_tmp197_, &_tmp198_, 0, _tmp199_, 1, GNOME_RR_ROTATION_270, -1);
#line 287 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp200_ = _data7_->output_info;
#line 287 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp201_ = gnome_rr_output_info_get_rotation (_tmp200_);
#line 287 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		if (_tmp201_ == GNOME_RR_ROTATION_270) {
#line 1813 "DisplayWidget.c"
			GtkComboBox* _tmp202_ = NULL;
			GtkTreeIter _tmp203_ = {0};
			GtkLabel* _tmp204_ = NULL;
#line 288 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp202_ = _data7_->rotation_combobox;
#line 288 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp203_ = iter;
#line 288 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_combo_box_set_active_iter (_tmp202_, &_tmp203_);
#line 289 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp204_ = _data7_->label;
#line 289 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp204_, (gdouble) 90);
#line 290 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_data7_->rotation_set = TRUE;
#line 1829 "DisplayWidget.c"
		}
	}
#line 294 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp205_ = _data7_->rotation_set;
#line 294 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!_tmp205_) {
#line 1836 "DisplayWidget.c"
		GtkComboBox* _tmp206_ = NULL;
#line 295 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp206_ = _data7_->rotation_combobox;
#line 295 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_combo_box_set_active (_tmp206_, 0);
#line 1842 "DisplayWidget.c"
	}
#line 298 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "configuration-changed");
#line 299 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "check-position");
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolutions = (g_free (resolutions), NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (rotation_label);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (text_renderer);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (resolution_label);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (use_label);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (popover);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (popover_grid);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (grid);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (toggle_settings);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	block7_data_unref (_data7_);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_ = NULL;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return self;
#line 1872 "DisplayWidget.c"
}


DisplayDisplayWidget* display_display_widget_new (GnomeRROutputInfo* output_info, GnomeRROutput* output) {
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return display_display_widget_construct (DISPLAY_TYPE_DISPLAY_WIDGET, output_info, output);
#line 1879 "DisplayWidget.c"
}


static gboolean display_display_widget_real_button_press_event (GtkWidget* base, GdkEventButton* event) {
	DisplayDisplayWidget * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	GdkEventButton* _tmp1_ = NULL;
	gdouble _tmp2_ = 0.0;
	GdkEventButton* _tmp3_ = NULL;
	gdouble _tmp4_ = 0.0;
#line 302 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = (DisplayDisplayWidget*) base;
#line 302 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 303 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->_only_display;
#line 303 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp0_) {
#line 304 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		result = FALSE;
#line 304 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return result;
#line 1903 "DisplayWidget.c"
	}
#line 307 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = event;
#line 307 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = _tmp1_->x_root;
#line 307 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->start_x = _tmp2_;
#line 308 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = event;
#line 308 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp4_ = _tmp3_->y_root;
#line 308 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->start_y = _tmp4_;
#line 309 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->holding = TRUE;
#line 310 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = FALSE;
#line 310 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 1923 "DisplayWidget.c"
}


static gboolean display_display_widget_real_button_release_event (GtkWidget* base, GdkEventButton* event) {
	DisplayDisplayWidget * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gint _tmp2_ = 0;
	gint old_delta_x = 0;
	gint _tmp5_ = 0;
	gint old_delta_y = 0;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
	gint _tmp8_ = 0;
#line 313 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = (DisplayDisplayWidget*) base;
#line 313 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = self->priv->_delta_x;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp2_ == 0) {
#line 1947 "DisplayWidget.c"
		gint _tmp3_ = 0;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp3_ = self->priv->_delta_y;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp1_ = _tmp3_ == 0;
#line 1953 "DisplayWidget.c"
	} else {
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp1_ = FALSE;
#line 1957 "DisplayWidget.c"
	}
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp1_) {
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = TRUE;
#line 1963 "DisplayWidget.c"
	} else {
		gboolean _tmp4_ = FALSE;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp4_ = self->priv->_only_display;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = _tmp4_;
#line 1970 "DisplayWidget.c"
	}
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp0_) {
#line 315 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		result = FALSE;
#line 315 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return result;
#line 1978 "DisplayWidget.c"
	}
#line 318 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = self->priv->_delta_x;
#line 318 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	old_delta_x = _tmp5_;
#line 319 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = self->priv->_delta_y;
#line 319 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	old_delta_y = _tmp6_;
#line 320 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_set_delta_x (self, 0);
#line 321 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_set_delta_y (self, 0);
#line 322 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = old_delta_x;
#line 322 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = old_delta_y;
#line 322 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit_by_name (self, "move-display", _tmp7_, _tmp8_);
#line 323 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->holding = FALSE;
#line 324 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = FALSE;
#line 324 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2004 "DisplayWidget.c"
}


static gboolean display_display_widget_real_motion_notify_event (GtkWidget* base, GdkEventMotion* event) {
	DisplayDisplayWidget * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
#line 327 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = (DisplayDisplayWidget*) base;
#line 327 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = self->priv->holding;
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp1_) {
#line 2021 "DisplayWidget.c"
		gboolean _tmp2_ = FALSE;
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp2_ = self->priv->_only_display;
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = !_tmp2_;
#line 2027 "DisplayWidget.c"
	} else {
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = FALSE;
#line 2031 "DisplayWidget.c"
	}
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp0_) {
#line 2035 "DisplayWidget.c"
		GdkEventMotion* _tmp3_ = NULL;
		gdouble _tmp4_ = 0.0;
		gdouble _tmp5_ = 0.0;
		GdkEventMotion* _tmp6_ = NULL;
		gdouble _tmp7_ = 0.0;
		gdouble _tmp8_ = 0.0;
#line 329 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp3_ = event;
#line 329 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp4_ = _tmp3_->x_root;
#line 329 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp5_ = self->priv->start_x;
#line 329 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_delta_x (self, (gint) (_tmp4_ - _tmp5_));
#line 330 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp6_ = event;
#line 330 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp7_ = _tmp6_->y_root;
#line 330 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp8_ = self->priv->start_y;
#line 330 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_delta_y (self, (gint) (_tmp7_ - _tmp8_));
#line 331 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_signal_emit_by_name (self, "check-position");
#line 2060 "DisplayWidget.c"
	}
#line 334 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = FALSE;
#line 334 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2066 "DisplayWidget.c"
}


void display_display_widget_set_primary (DisplayDisplayWidget* self, gboolean is_primary) {
	GnomeRROutputInfo* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 337 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 338 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->output_info;
#line 338 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = is_primary;
#line 338 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_set_primary (_tmp0_, _tmp1_);
#line 339 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = is_primary;
#line 339 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp2_) {
#line 2086 "DisplayWidget.c"
		GtkButton* _tmp3_ = NULL;
		GtkWidget* _tmp4_ = NULL;
		GtkWidget* _tmp5_ = NULL;
		GtkButton* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
#line 340 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp3_ = self->priv->primary_image;
#line 340 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp4_ = gtk_button_get_image (_tmp3_);
#line 340 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp5_ = _tmp4_;
#line 340 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, gtk_image_get_type (), GtkImage), "icon-name", "starred-symbolic", NULL);
#line 341 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp6_ = self->priv->primary_image;
#line 341 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp7_ = _ ("Is the primary display");
#line 341 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp6_, _tmp7_);
#line 2106 "DisplayWidget.c"
	} else {
		GtkButton* _tmp8_ = NULL;
		GtkWidget* _tmp9_ = NULL;
		GtkWidget* _tmp10_ = NULL;
		GtkButton* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
#line 343 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp8_ = self->priv->primary_image;
#line 343 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp9_ = gtk_button_get_image (_tmp8_);
#line 343 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp10_ = _tmp9_;
#line 343 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, gtk_image_get_type (), GtkImage), "icon-name", "non-starred-symbolic", NULL);
#line 344 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp11_ = self->priv->primary_image;
#line 344 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp12_ = _ ("Set as primary display");
#line 344 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp11_, _tmp12_);
#line 2127 "DisplayWidget.c"
	}
}


void display_display_widget_get_geometry (DisplayDisplayWidget* self, gint* x, gint* y, gint* width, gint* height) {
	gint _vala_x = 0;
	gint _vala_y = 0;
	gint _vala_width = 0;
	gint _vala_height = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 349 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->real_x;
#line 349 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_vala_x = _tmp0_;
#line 350 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = self->priv->real_y;
#line 350 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_vala_y = _tmp1_;
#line 351 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = self->priv->real_width;
#line 351 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_vala_width = _tmp2_;
#line 352 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = self->priv->real_height;
#line 352 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_vala_height = _tmp3_;
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (x) {
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*x = _vala_x;
#line 2163 "DisplayWidget.c"
	}
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (y) {
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*y = _vala_y;
#line 2169 "DisplayWidget.c"
	}
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (width) {
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*width = _vala_width;
#line 2175 "DisplayWidget.c"
	}
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (height) {
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*height = _vala_height;
#line 2181 "DisplayWidget.c"
	}
}


void display_display_widget_set_geometry (DisplayDisplayWidget* self, gint x, gint y, gint width, gint height) {
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	GnomeRROutputInfo* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
	gint _tmp8_ = 0;
#line 355 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 356 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = x;
#line 356 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_x = _tmp0_;
#line 357 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = y;
#line 357 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_y = _tmp1_;
#line 358 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = width;
#line 358 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_width = _tmp2_;
#line 359 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = height;
#line 359 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_height = _tmp3_;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp4_ = self->output_info;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = self->priv->real_x;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = self->priv->real_y;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = self->priv->real_width;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = self->priv->real_height;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_set_geometry (_tmp4_, _tmp5_, _tmp6_, _tmp7_, _tmp8_);
#line 2226 "DisplayWidget.c"
}


gboolean display_display_widget_equals (DisplayDisplayWidget* self, DisplayDisplayWidget* sibling) {
	gboolean result = FALSE;
	GnomeRROutputInfo* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	DisplayDisplayWidget* _tmp2_ = NULL;
	GnomeRROutputInfo* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
#line 363 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 363 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (sibling != NULL, FALSE);
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->output_info;
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = gnome_rr_output_info_get_display_name (_tmp0_);
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = sibling;
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = _tmp2_->output_info;
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp4_ = gnome_rr_output_info_get_display_name (_tmp3_);
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = g_strcmp0 (_tmp1_, _tmp4_) == 0;
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2255 "DisplayWidget.c"
}


gchar* display_display_widget_make_aspect_string (guint width, guint height) {
	gchar* result = NULL;
	guint ratio = 0U;
	gchar* aspect = NULL;
	gboolean _tmp0_ = FALSE;
	guint _tmp1_ = 0U;
	guint _tmp3_ = 0U;
	guint _tmp4_ = 0U;
	guint _tmp9_ = 0U;
#line 370 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	aspect = NULL;
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = width;
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp1_ == ((guint) 0)) {
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = TRUE;
#line 2276 "DisplayWidget.c"
	} else {
		guint _tmp2_ = 0U;
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp2_ = height;
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = _tmp2_ == ((guint) 0);
#line 2283 "DisplayWidget.c"
	}
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp0_) {
#line 373 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		result = NULL;
#line 373 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_free0 (aspect);
#line 373 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return result;
#line 2293 "DisplayWidget.c"
	}
#line 375 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = width;
#line 375 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp4_ = height;
#line 375 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp3_ > _tmp4_) {
#line 2301 "DisplayWidget.c"
		guint _tmp5_ = 0U;
		guint _tmp6_ = 0U;
#line 376 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp5_ = width;
#line 376 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp6_ = height;
#line 376 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		ratio = (_tmp5_ * 10) / _tmp6_;
#line 2310 "DisplayWidget.c"
	} else {
		guint _tmp7_ = 0U;
		guint _tmp8_ = 0U;
#line 378 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp7_ = height;
#line 378 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp8_ = width;
#line 378 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		ratio = (_tmp7_ * 10) / _tmp8_;
#line 2320 "DisplayWidget.c"
	}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp9_ = ratio;
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	switch (_tmp9_) {
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 13:
#line 2328 "DisplayWidget.c"
		{
			gchar* _tmp10_ = NULL;
#line 383 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp10_ = g_strdup ("4∶3");
#line 383 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 383 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp10_;
#line 384 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2339 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 16:
#line 2343 "DisplayWidget.c"
		{
			gchar* _tmp11_ = NULL;
#line 386 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp11_ = g_strdup ("16∶10");
#line 386 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 386 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp11_;
#line 387 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2354 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 17:
#line 2358 "DisplayWidget.c"
		{
			gchar* _tmp12_ = NULL;
#line 389 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp12_ = g_strdup ("16∶9");
#line 389 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 389 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp12_;
#line 390 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2369 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 23:
#line 2373 "DisplayWidget.c"
		{
			gchar* _tmp13_ = NULL;
#line 392 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp13_ = g_strdup ("21∶9");
#line 392 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 392 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp13_;
#line 393 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2384 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 12:
#line 2388 "DisplayWidget.c"
		{
			gchar* _tmp14_ = NULL;
#line 395 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp14_ = g_strdup ("5∶4");
#line 395 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 395 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp14_;
#line 396 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2399 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 15:
#line 2403 "DisplayWidget.c"
		{
			gchar* _tmp15_ = NULL;
#line 399 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp15_ = g_strdup ("3∶2");
#line 399 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 399 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp15_;
#line 400 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2414 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 18:
#line 2418 "DisplayWidget.c"
		{
			gchar* _tmp16_ = NULL;
#line 402 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp16_ = g_strdup ("9∶5");
#line 402 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 402 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp16_;
#line 403 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2429 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 10:
#line 2433 "DisplayWidget.c"
		{
			gchar* _tmp17_ = NULL;
#line 405 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp17_ = g_strdup ("1∶1");
#line 405 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 405 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp17_;
#line 406 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2444 "DisplayWidget.c"
		}
		default:
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2449 "DisplayWidget.c"
	}
#line 409 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = aspect;
#line 409 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2455 "DisplayWidget.c"
}


gint display_display_widget_get_delta_x (DisplayDisplayWidget* self) {
	gint result;
	gint _tmp0_ = 0;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->_delta_x;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = _tmp0_;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2470 "DisplayWidget.c"
}


void display_display_widget_set_delta_x (DisplayDisplayWidget* self, gint value) {
	gint _tmp0_ = 0;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = value;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->_delta_x = _tmp0_;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_notify ((GObject *) self, "delta-x");
#line 2484 "DisplayWidget.c"
}


gint display_display_widget_get_delta_y (DisplayDisplayWidget* self) {
	gint result;
	gint _tmp0_ = 0;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->_delta_y;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = _tmp0_;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2499 "DisplayWidget.c"
}


void display_display_widget_set_delta_y (DisplayDisplayWidget* self, gint value) {
	gint _tmp0_ = 0;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = value;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->_delta_y = _tmp0_;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_notify ((GObject *) self, "delta-y");
#line 2513 "DisplayWidget.c"
}


gboolean display_display_widget_get_only_display (DisplayDisplayWidget* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->_only_display;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = _tmp0_;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2528 "DisplayWidget.c"
}


void display_display_widget_set_only_display (DisplayDisplayWidget* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = value;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->_only_display = _tmp0_;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_notify ((GObject *) self, "only-display");
#line 2542 "DisplayWidget.c"
}


static void g_cclosure_user_marshal_VOID__INT_INT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__INT_INT) (gpointer data1, gint arg_1, gint arg_2, gpointer data2);
	register GMarshalFunc_VOID__INT_INT callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (n_param_values == 3);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		data1 = closure->data;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		data2 = param_values->data[0].v_pointer;
#line 2561 "DisplayWidget.c"
	} else {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		data1 = param_values->data[0].v_pointer;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		data2 = closure->data;
#line 2567 "DisplayWidget.c"
	}
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	callback = (GMarshalFunc_VOID__INT_INT) (marshal_data ? marshal_data : cc->callback);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	callback (data1, g_value_get_int (param_values + 1), g_value_get_int (param_values + 2), data2);
#line 2573 "DisplayWidget.c"
}


static DisplayDisplayWidgetResolution* display_display_widget_resolution_dup (const DisplayDisplayWidgetResolution* self) {
	DisplayDisplayWidgetResolution* dup;
#line 45 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	dup = g_new0 (DisplayDisplayWidgetResolution, 1);
#line 45 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	memcpy (dup, self, sizeof (DisplayDisplayWidgetResolution));
#line 45 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return dup;
#line 2585 "DisplayWidget.c"
}


static void display_display_widget_resolution_free (DisplayDisplayWidgetResolution* self) {
#line 45 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_free (self);
#line 2592 "DisplayWidget.c"
}


static GType display_display_widget_resolution_get_type (void) {
	static volatile gsize display_display_widget_resolution_type_id__volatile = 0;
	if (g_once_init_enter (&display_display_widget_resolution_type_id__volatile)) {
		GType display_display_widget_resolution_type_id;
		display_display_widget_resolution_type_id = g_boxed_type_register_static ("DisplayDisplayWidgetResolution", (GBoxedCopyFunc) display_display_widget_resolution_dup, (GBoxedFreeFunc) display_display_widget_resolution_free);
		g_once_init_leave (&display_display_widget_resolution_type_id__volatile, display_display_widget_resolution_type_id);
	}
	return display_display_widget_resolution_type_id__volatile;
}


static void display_display_widget_class_init (DisplayDisplayWidgetClass * klass) {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_parent_class = g_type_class_peek_parent (klass);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_type_class_add_private (klass, sizeof (DisplayDisplayWidgetPrivate));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	((GtkWidgetClass *) klass)->button_press_event = (gboolean (*)(GtkWidget*, GdkEventButton*)) display_display_widget_real_button_press_event;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	((GtkWidgetClass *) klass)->button_release_event = (gboolean (*)(GtkWidget*, GdkEventButton*)) display_display_widget_real_button_release_event;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	((GtkWidgetClass *) klass)->motion_notify_event = (gboolean (*)(GtkWidget*, GdkEventMotion*)) display_display_widget_real_motion_notify_event;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_display_display_widget_get_property;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_display_display_widget_set_property;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->finalize = display_display_widget_finalize;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_DISPLAY_WIDGET_DELTA_X, g_param_spec_int ("delta-x", "delta-x", "delta-x", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_DISPLAY_WIDGET_DELTA_Y, g_param_spec_int ("delta-y", "delta-y", "delta-y", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY, g_param_spec_boolean ("only-display", "only-display", "only-display", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_new ("set_as_primary", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_new ("move_display", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__INT_INT, G_TYPE_NONE, 2, G_TYPE_INT, G_TYPE_INT);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_new ("check_position", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_new ("configuration_changed", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_new ("active_changed", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2640 "DisplayWidget.c"
}


static void display_display_widget_instance_init (DisplayDisplayWidget * self) {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv = DISPLAY_DISPLAY_WIDGET_GET_PRIVATE (self);
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->_delta_x = 0;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->_delta_y = 0;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->_only_display = FALSE;
#line 35 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->start_x = (gdouble) 0;
#line 36 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->start_y = (gdouble) 0;
#line 37 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->holding = FALSE;
#line 40 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_width = 0;
#line 41 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_height = 0;
#line 42 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_x = 0;
#line 43 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_y = 0;
#line 2667 "DisplayWidget.c"
}


static void display_display_widget_finalize (GObject* obj) {
	DisplayDisplayWidget * self;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidget);
#line 29 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->display_window);
#line 30 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->output_info);
#line 31 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__vala_GnomeRROutput_free0 (self->output);
#line 38 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->priv->primary_image);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_OBJECT_CLASS (display_display_widget_parent_class)->finalize (obj);
#line 2685 "DisplayWidget.c"
}


GType display_display_widget_get_type (void) {
	static volatile gsize display_display_widget_type_id__volatile = 0;
	if (g_once_init_enter (&display_display_widget_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DisplayDisplayWidgetClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) display_display_widget_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DisplayDisplayWidget), 0, (GInstanceInitFunc) display_display_widget_instance_init, NULL };
		GType display_display_widget_type_id;
		display_display_widget_type_id = g_type_register_static (gtk_event_box_get_type (), "DisplayDisplayWidget", &g_define_type_info, 0);
		g_once_init_leave (&display_display_widget_type_id__volatile, display_display_widget_type_id);
	}
	return display_display_widget_type_id__volatile;
}


static void _vala_display_display_widget_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	DisplayDisplayWidget * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidget);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	switch (property_id) {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_DELTA_X:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_value_set_int (value, display_display_widget_get_delta_x (self));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_DELTA_Y:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_value_set_int (value, display_display_widget_get_delta_y (self));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_value_set_boolean (value, display_display_widget_get_only_display (self));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2724 "DisplayWidget.c"
		default:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2730 "DisplayWidget.c"
	}
}


static void _vala_display_display_widget_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	DisplayDisplayWidget * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidget);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	switch (property_id) {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_DELTA_X:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_delta_x (self, g_value_get_int (value));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_DELTA_Y:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_delta_y (self, g_value_get_int (value));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_only_display (self, g_value_get_boolean (value));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2758 "DisplayWidget.c"
		default:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2764 "DisplayWidget.c"
	}
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



